device_type: dragonboard-820c
job_name: lab-health-dragonboard-820c
timeouts:
  job:
    minutes: 90
  action:
    minutes: 15
  connection:
    minutes: 2
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava-team/refactoring.git
  path: health-checks/dragonboard-820c.yaml

actions:
- deploy:
    timeout:
      minutes: 30
    to: fastboot
    docker:
        local: true
        image: lavalabteam/adb-fastboot
    images:
      rootfs:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/debian/185/linaro-buster-developer-dragonboard-820c-185.img.gz
        compression: gz
        apply-overlay: true
      boot:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/debian/185/boot-linaro-buster-dragonboard-820c-185.img.gz
        compression: gz
    os: debian

- command:
    name: pre_power_command
    timeout:
          minutes: 2

- boot:
    prompts:
    - 'root@(.*):/#'
    - 'root@linaro-developer:~#'
    timeout:
      minutes: 15
    method: fastboot
    docker:
        local: true
        image: lavalabteam/adb-fastboot

- command:
    name: pre_os_command
    timeout:
          minutes: 2

- test:
    docker:
        local: true
        image: lavalabteam/adb-fastboot
    timeout:
      minutes: 5
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-docker
